Updating revisited..

I’d like to revisit something about Updates and versions < 2.49.x.  [This could possibly be a repeat note.]

If you check for updates for versions < 2.38 [iirc],  you will get an “Update Failed” message along with information stating that the “Update XML file malformed (200)” message.

This is a known issue.  It stems from the fact that client doesn’t recognize the certificate that’s being supplied by the site.

Can something be done about this?  Aside for the user manually downloading and installing the latest version, unfortunately, there’s nothing that we can do.  At least, nothing that would make sense in doing.

Why?

What needs to be done is to make the old installed version recognize the certificates as well as support the correct set of ssl cyphers.  The former can probably be achieved by manually downloading the new certificate roots.  The latter, unfortunately will be blocking the former as well, since this is a code-based issue.  So patches will need to be created to be applied to the binary code.   I’d hazard a guess that no one will be able to take that time to create patches on old source to get old clients to update to the newest version.

So, all in all, it’d be a lot easier just to download and install the latest, providing the operating system is supported by the latest version.  [I can certainly post a rant on this support issue… but I digress..]

And with the possibility of aus2-community’s domain being decommissioned, versions <= 2.53.4  will require an addition to your “user.js” file to redirect to the actual updates site.

Best regards,

:ewong

 

About ewong

I'm a SeaMonkey dev/RelEnger and a bit of a buildbot dev.
This entry was posted in Infrastructure, seamonkey. Bookmark the permalink.

3 Responses to Updating revisited..

  1. Ant says:

    I used the internal updaters (v2.53.8.1 to v2.53.9) in old Debian Jessie v8, 64-bit W10 Pro, and macOS Big Sur v10.15.2 without any issues. 🙂

  2. C. Wells says:

    Hello – I have upgraded to SeaMonkey version 2.53.9. I notice that the “Ask Me Before Clearing Private Data” function is no longer working. (In the instructions for Private Data, it mentions this function, but the screen “Clear private data?” does not appear like in previous versions.)

    Perhaps a simple oversight – can you kindly let the developers know? Thank you!

  3. frg says:

    > In the instructions for Private Data, it mentions this function,

    Thanks. Will be corrected and match the new preferences panel and dialog in the next version.

    FRG

Leave a Reply to frg Cancel reply

Your email address will not be published.